Loading...
Searching...
No Matches
list.h File Reference

ENet list management. More...

`#include <stdlib.h>`

## Data Structures

struct | ENetList
struct | ENetListNode

## Macros

#define | enet_list_back(list)
#define | enet_list_begin(list)
#define | enet_list_empty(list)
#define | enet_list_end(list)
#define | enet_list_front(list)
#define | enet_list_next(iterator)
#define | enet_list_previous(iterator)

## Typedefs

typedef ENetListNode * | ENetListIterator

## Functions

void | enet_list_clear (ENetList *)
ENetListIterator | enet_list_insert (ENetListIterator, void *)
ENetListIterator | enet_list_move (ENetListIterator, void *, void *)
void * | enet_list_remove (ENetListIterator)
size_t | enet_list_size (ENetList *)

## Detailed Description

ENet list management.

## Macro Definition Documentation

## enet_list_back

#define enet_list_back | ( |  | list | ) |

Value:
((void *) (list) -> sentinel.previous)

## enet_list_begin

#define enet_list_begin | ( |  | list | ) |

Value:
((list) -> sentinel.next)

## enet_list_empty

#define enet_list_empty | ( |  | list | ) |

Value:
(enet_list_begin (list) == enet_list_end (list))
enet_list_begin
#define enet_list_begin(list)
Definition list.h:31
enet_list_end
#define enet_list_end(list)
Definition list.h:32

## enet_list_end

#define enet_list_end | ( |  | list | ) |

Value:
(& (list) -> sentinel)

## enet_list_front

#define enet_list_front | ( |  | list | ) |

Value:
((void *) (list) -> sentinel.next)

## enet_list_next

#define enet_list_next | ( |  | iterator | ) |

Value:
((iterator) -> next)

## enet_list_previous

#define enet_list_previous | ( |  | iterator | ) |

Value:
((iterator) -> previous)

## Typedef Documentation

## ENetListIterator

typedef ENetListNode* ENetListIterator